## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathExpression::InvalidArgumentCountException Class Reference

Exception class thrown when an invalid number of XPath arguments is encountered. More...

Inheritance diagram for XPathExpression::InvalidArgumentCountException:

[legend]
Collaboration diagram for XPathExpression::InvalidArgumentCountException:

[legend]
List of all members.

## Public Member Functions

- InvalidArgumentCountException (OpCodeMapValueType theOpCode, OpCodeMapValueType theExpectedCount, OpCodeMapValueType theSuppliedCount, XalanDOMString &theResult)
    Construct an InvalidArgumentCountException object.
- virtual ~InvalidArgumentCountException ()

## Detailed Description

Exception class thrown when an invalid number of XPath arguments is encountered.

## Constructor & Destructor Documentation

XPathExpression::InvalidArgumentCountException::InvalidArgumentCountException | ( | OpCodeMapValueType | theOpCode,
|  | OpCodeMapValueType | theExpectedCount,
|  | OpCodeMapValueType | theSuppliedCount,
|  | XalanDOMString & | theResult
| ) |

  | Construct an InvalidArgumentCountException object. Parameters:
  theOpCode | operation code that caused the exception
  theExpectedCount | the correct number of arguments for "opcode"
  theSuppliedCount | the number of arguments supplied

virtual XPathExpression::InvalidArgumentCountException::~InvalidArgumentCountException | ( |  | ) |

The documentation for this class was generated from the following file:

- XPathExpression.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.